subscriptions
Reprocess a past-due subscription
Queues an immediate billing retry against the subscription’s current payment method and records the authenticated member in the customer audit trail. The subscription must be past due and its billing date must have arrived in its local timezone.
POST
/
api
/
subscriptions
/
{token}
/
reprocess
Reprocess a past-due subscription
curl --request POST \
--url https://api.fluid.app/api/subscriptions/{token}/reprocess \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscriptions/{token}/reprocess"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscriptions/{token}/reprocess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Response
string | number | boolean | null | any[] | object
Retry queued
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Reprocess a past-due subscription
